Bug 69486 - Clarify relationship between simple menu and customization
Clarify relationship between simple menu and customization
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-securitylevel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2002-07-22 15:45 EDT by Havoc Pennington
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-22 15:45:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2002-07-22 15:45:13 EDT
It's unclear how the option menu for security level relates to the
usedefault/custom stuff below. Also unclear what "high" and "medium" mean, why
would you choose anything below "high"?

Suggest the following, maybe jrb or someone has better ideas:

 - make high/medium have some kind of suggested application, e.g. 
   "medium (normal home usage)" "high (single-purpose server)" or 
   the like. Maybe drop the words high/medium entirely and just 
   make these task-oriented.

 - add Custom option to the option menu, so the security levels 
   are low/medium/high/custom

 - drop the radio buttons (use default/customize) and enable the 
   custom controls if Custom is chosen in the option menu

 - when a preset category such as "medium" is chosen, update the 
   list checkboxes to reflect this (WWW/FTP/etc.)
Comment 1 Brent Fox 2002-08-11 11:36:30 EDT
Personally, I don't much care for the overall layout of the screen, I was just
trying to reproduce the UI from anaconda.  The whole "Other ports" entry thing
is really confusing as well.

It's too late to make these changes now, but I will rethink the whole screen for
the next release.  Deferring for now.

Note You need to log in before you can comment on or make changes to this bug.